POST api/Insured/InsuredAgencyLocation
Insured agency locations list endpoint.
Request Information
URI Parameters
None.
Body Parameters
List of insured database Ids.
InsuredDataBaseIds| Name | Description | Type | Additional information |
|---|---|---|---|
| InsuredDataBaseId | Collection of globally unique identifier |
None. |
Request Formats
application/json, text/json
Sample:
{
"insuredDataBaseId": [
"2f2f22f5-7357-4017-82d1-a0d1fc6a303e",
"0f14d694-bb4a-48f0-b32c-09bb7983cafd"
]
}
application/xml, text/xml
Sample:
<InsuredDataBaseIds xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.OData">
<InsuredDataBaseId xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:guid>2f2f22f5-7357-4017-82d1-a0d1fc6a303e</d2p1:guid>
<d2p1:guid>0f14d694-bb4a-48f0-b32c-09bb7983cafd</d2p1:guid>
</InsuredDataBaseId>
</InsuredDataBaseIds>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
List of InsuredAgencyLocation against given insured database Ids.
InsuredAgencyLocation| Name | Description | Type | Additional information |
|---|---|---|---|
| DatabaseId | globally unique identifier |
None. |
|
| LocationName | string |
None. |
|
| LocationBusinessName | string |
None. |
|
| InsuredDatabaseId | globally unique identifier |
None. |
Response Formats
application/json, text/json
Sample:
{
"databaseId": "498c1f52-0c33-4b61-befe-7b9c898d9700",
"locationName": "sample string 2",
"locationBusinessName": "sample string 3",
"insuredDatabaseId": "7d53f600-d509-4220-bac6-1da95b50bd3e"
}
application/xml, text/xml
Sample:
<InsuredAgencyLocation xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.NowCertsFulcrum"> <DatabaseId>498c1f52-0c33-4b61-befe-7b9c898d9700</DatabaseId> <InsuredDatabaseId>7d53f600-d509-4220-bac6-1da95b50bd3e</InsuredDatabaseId> <LocationBusinessName>sample string 3</LocationBusinessName> <LocationName>sample string 2</LocationName> </InsuredAgencyLocation>